Subject: [L2tpext] Fwd: [Int-area] New draft to update L2TP, GRE, PPTP, GTP & VXLAN, etc. for ECN

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 8 Jul 2016 19:33:08 +0000

L2TPExt,

FYI.

Thanks,

— Carlos.

Begin forwarded message:

From: Bob Briscoe <[email-masked]<mailto:[email-masked]>>
Subject: [Int-area] New draft to update L2TP, GRE, PPTP, GTP & VXLAN, etc. for ECN
Date: July 8, 2016 at 8:18:15 AM EDT
To: tsvwg IETF list <[email-masked]<mailto:[email-masked]>>, intarea IETF list <[email-masked]<mailto:[email-masked]>>, Wassim Haddad <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]>, Gorry Fairhurst <[email-masked]<mailto:[email-masked]>>, "Black, David" <[email-masked]<mailto:[email-masked]>>

tsvwg, intarea, and respective co-chairs,
[re-sent with hyphen in int-area@]

I have posted a new very brief draft (under 2 pages not incl. boilerplate), intended for standards track as a bis to RFC6040.
As suggested in Buenos Aires, this has been extracted from draft-ietf-tsvwg-ecn-encap-guidelines, to cut all the clutter and highlight solely the standards track stuff.

Propagating Explicit Congestion Notification Across IP Tunnel Headers Separated by a Shim
https://tools.ietf.org/html/draft-briscoe-tsvwg-rfc6040bis-00

If approved, it is intended to update L2TP, GRE, PPTP, GTP & VXLAN.
Obviously the IETF does not control GTP - see text for how 3GPP might use this spec.
Simialrly, given VXLAN is informational, it's perhaps not appropriate to update it - exactly how this is worded is for discussion.

For IETF-96, I've asked for a slot in intarea to explain, and I also hope to cover this in an ecn-encap-guidelines slot in tsvwg.

I'd appreciate help identifying more tunnelling protocols that follow the pattern of a shim sandwiched between two IP headers.
Since posting, I've looked at Joe's Tunnelling draft and realised I missed out Geneve and GUE. More?

Cheers

Bob

On 08/07/16 12:41, [email-masked] wrote:
A new version of I-D, draft-briscoe-tsvwg-rfc6040bis-00.txt
has been successfully submitted by Bob Briscoe and posted to the
IETF repository.

Name: draft-briscoe-tsvwg-rfc6040bis
Revision: 00
Title: Propagating Explicit Congestion Notification Across IP Tunnel Headers Separated by a Shim
Document date: 2016-07-08
Group: Individual Submission
Pages: 5
URL:            https://www.ietf.org/internet-drafts/draft-briscoe-tsvwg-rfc6040bis-00.txt
Status:         https://datatracker.ietf.org/doc/draft-briscoe-tsvwg-rfc6040bis/
Htmlized:       https://tools.ietf.org/html/draft-briscoe-tsvwg-rfc6040bis-00

Abstract:
   RFC 6040 on "Tunnelling of Explicit Congestion Notification" made the
   rules for propagation of ECN consistent for all forms of IP in IP
   tunnel.  This specification extends the scope of RFC 6040 to include
   tunnels where two IP headers are separated by a shim header that
   cannot stand alone.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

--
________________________________________________________________
Bob Briscoe                               http://bobbriscoe.net/

_______________________________________________
Int-area mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/int-area